
                    VBX: Single Character Command Overview              99/06/08
                    

1. Draw Mode Switching
   

   0     switch to Move Cursor Mode
   1     switch to Draw Single Bar graphic characters
   2     switch to Draw Double Bar graphic characters
   -     switch to Draw blanks
   +     switch to Draw with character under cursor
   S     switch to Draw by selecting characters from extended ASCII table


2. Actions
   

   B,b   if b then insert minimal single bar box and mark it
         if B then insert minimal double bar box and mark it

   C     if region marked then Copy marked region into paste buffer
         else show menu with possible cut & paste actions

   D     if region marked then copy region into paste buffer and
            Delete (=blank) it
         else show menu with possible cut & paste actions

   E     switch to Edit text (entire file or marked region)

   H,h   if region marked and cursor within this region then
            if h then draw a single horizontal bar across the region
            if H then draw a double horizontal bar across the region

   M     if cursor on upper left corner of a (complete!) box then
            Mark complete box
         else if preceded by another M then Mark region
              else mark current cursor position

   P     if paste buffer not empty then copy paste buffer to current cursor
            position (Paste)
         else show menu with possible cut & paste actions

   Q     if file not modified then Quit VBX
         else show menu with possible exit actions

   R     prompt filename of file to Read into paste buffer

   V,v   if region marked and cursor within this region then
            if v then draw a single vertical bar across the region
            if V then draw a double vertical bar across the region

   W     if paste buffer not empty then prompt filename of file to Write
            with the current contents of the paste buffer
         else show menu with possible cut & paste actions

   X     if file not modified then eXit VBX without saving
         else save modified file and eXit VBX

   Note: Apart from B,b,H,h,V,v the single character commands are case
     insensitive!


3. Special Actions  ( !=shift, =alt, ^=ctl )
   

   Esc      if in Edit Mode then
               if editing File or Marked Region then leave edit mode
               else if editing Filename then signal quit edit
            else if region marked then unmark region
            else show menu with possible exit actions

   !cursor  mark region

   cursor  if no region marked then ignore
            else if cursor on left or upper border of marked region then
                    move marked region in cursor direction
                 else if cursor anywhere else in marked region then
                         if cursor up or left then shrink marked region
                         else expand marked region

   ^cursor  if in one of the drawing modes (0/1/2/-/+) then
               draw a fat arrow character depending on cursor direction

   Tab      if in one of the drawing modes (0/1/2/-/+) then
               move the cursor to the next upper left corner of a box

   Backtab  if in one of the drawing modes (0/1/2/-/+) then
               move the cursor to the preceding upper left corner of a box

   Return   if in one of the drawing modes (0/1/2/-/+) then
               move the cursor to the beginning of the next line
            else if in select mode then select and draw the character under the
                    cursor
                 else if editing file or marked region then
                         if INS=off then move the cursor to the beginning of the
                            next line
                         else split the line at the current cursor position
                      else if editing filename then
                         signal ok (end of editing)

   Delete   if in edit mode then delete the current character
               if cursor is at end-of-text in the current line then
                  join the next line to the current line
            else if region marked then copy region into paste buffer and blank it

   Backspace if in edit mode then delete the preceding character
                if cursor is start of current line then
                   join the current line to the preceding one

   Insert   if in edit mode then toggle the insert mode + indicator in header

   PgUp     scroll up one screen
   PgDn     scroll down one screen

   Home     move cursor to start of current line
   End      move cursor to end-of-text in current line

   ^Home    move cursor to start-of-file
   ^End     move cursor to end-of-file

   End     blank current line from cursor position to end-of-text (Edit mode)
